Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 707254

Summary: app-text/mandoc-1.14.5 : fails to build with -fno-common or gcc-10
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Gentoo's Team for Core System packages <base-system>
Status: RESOLVED FIXED    
Severity: normal CC: gentoo, sam
Priority: Normal Keywords: PATCH
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://cvsweb.bsd.lv/mandoc/compat_reallocarray.c.diff?r1=1.4&r2=1.5
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 705764, 762907, 759691    
Attachments: emerge-info.txt
app-text:mandoc-1.14.5:20200129-144603.log
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
temp.tbz2

Description Toralf Förster gentoo-dev 2020-01-29 18:14:42 UTC
x86_64-pc-linux-gnu-gcc -o demandoc -Wl,-O1 -Wl,--as-needed  demandoc.o libmandoc.a -lz
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common    -c -o soelim.o soelim.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common    -c -o compat_stringlist.o compat_stringlist.c
x86_64-pc-linux-gnu-gcc -o soelim -Wl,-O1 -Wl,--as-needed  soelim.o compat_err.o compat_getline.o compat_progname.o compat_reallocarray.o compat_stringlist.o
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: compat_getline.o:(.bss+0x0): multiple definition of `dummy'; compat_err.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: compat_reallocarray.o:(.bss+0x0): multiple definition of `dummy'; compat_err.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-libressl-20200125-232521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 13:26:23 +0000

emerge -qpvO app-text/mandoc
[ebuild  N    ] app-text/mandoc-1.14.5  USE="-static"
Comment 1 Toralf Förster gentoo-dev 2020-01-29 18:14:45 UTC
Created attachment 608216 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-29 18:14:49 UTC
Created attachment 608218 [details]
app-text:mandoc-1.14.5:20200129-144603.log
Comment 3 Toralf Förster gentoo-dev 2020-01-29 18:14:52 UTC
Created attachment 608220 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-29 18:14:55 UTC
Created attachment 608222 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-29 18:14:58 UTC
Created attachment 608224 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-29 18:15:00 UTC
Created attachment 608226 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-29 18:15:03 UTC
Created attachment 608228 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2021-01-03 09:58:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01e4c90edad0b1b378df8c70219190177c8f1646

commit 01e4c90edad0b1b378df8c70219190177c8f1646
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2021-01-03 09:58:12 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2021-01-03 09:58:22 +0000

    app-text/mandoc: tweak for gcc-10
    
    Reported-by: Toralf Förster
    Closes: https://bugs.gentoo.org/707254
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 app-text/mandoc/files/mandoc-1.14.5-gcc10.patch | 54 +++++++++++++++++++++++++
 app-text/mandoc/mandoc-1.14.5-r1.ebuild         |  5 ++-
 2 files changed, 58 insertions(+), 1 deletion(-)